StartConnection (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class StartConnection

    java.lang.Object
      net.sf.jftp.net.wrappers.StartConnection

    public class StartConnection

extends java.lang.Object

Field Summary
`static FtpConnection` | `con`
`static java.lang.String` | `keyfile`

Constructor Summary
`StartConnection()`

Method Summary
`static void` | `setSshKeyfile(java.lang.String file)`
`static boolean` | `startCon(java.lang.String protocol, java.lang.String htmp, java.lang.String utmp, java.lang.String ptmp, int potmp, java.lang.String dtmp, boolean useLocal)`
`static int` | `startFtpCon(java.lang.String htmp, java.lang.String utmp, java.lang.String ptmp, int potmp, java.lang.String dtmp, boolean useLocal)`
`static int` | `startFtpCon(java.lang.String htmp, java.lang.String utmp, java.lang.String ptmp, int potmp, java.lang.String dtmp, boolean useLocal, java.lang.String crlf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### con

    public static FtpConnection con

### keyfile

    public static java.lang.String keyfile

Constructor Detail

### StartConnection

    public StartConnection()

Method Detail

### setSshKeyfile

    public static void setSshKeyfile(java.lang.String file)

### startCon

    public static boolean startCon(java.lang.String protocol,
                                   java.lang.String htmp,
                                   java.lang.String utmp,
                                   java.lang.String ptmp,
                                   int potmp,
                                   java.lang.String dtmp,
                                   boolean useLocal)

### startFtpCon

    public static int startFtpCon(java.lang.String htmp,
                                  java.lang.String utmp,
                                  java.lang.String ptmp,
                                  int potmp,
                                  java.lang.String dtmp,
                                  boolean useLocal)

### startFtpCon

    public static int startFtpCon(java.lang.String htmp,
                                  java.lang.String utmp,
                                  java.lang.String ptmp,
                                  int potmp,
                                  java.lang.String dtmp,
                                  boolean useLocal,
                                  java.lang.String crlf)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD